diff -Naur stunnel.orig/src/client.c stunnel/src/client.c
--- stunnel.orig/src/client.c	2010-04-04 17:00:29.000000000 -0400
+++ stunnel/src/client.c	2010-04-12 17:12:47.000000000 -0400
@@ -187,6 +187,7 @@
     enter_critical_section(CRIT_CLIENTS); /* for multi-cpu machines */
     s_log(LOG_DEBUG, "Service %s finished (%d left)", c->opt->servname,
         --num_clients);
+    if (getenv("STUNNEL_ONCE")) {fprintf(stderr, "stunnel: exiting.\n"); exit(0);}
     leave_critical_section(CRIT_CLIENTS);
 #endif
 }
diff -Naur stunnel.orig/src/network.c stunnel/src/network.c
--- stunnel.orig/src/network.c	2010-02-04 05:31:45.000000000 -0500
+++ stunnel/src/network.c	2010-04-12 17:13:53.000000000 -0400
@@ -437,6 +437,7 @@
     if((pid=wait(&status))>0) {
         --num_clients; /* one client less */
 #endif
+    if (getenv("STUNNEL_ONCE")) exit(0);
 #ifdef WIFSIGNALED
         if(WIFSIGNALED(status)) {
             s_log(LOG_DEBUG, "Process %d terminated on signal %d (%d left)",
diff -Naur stunnel.orig/src/options.c stunnel/src/options.c
--- stunnel.orig/src/options.c	2010-04-05 14:44:43.000000000 -0400
+++ stunnel/src/options.c	2010-04-12 17:19:18.000000000 -0400
@@ -470,6 +470,7 @@
     switch(cmd) {
     case CMD_INIT:
         new_global_options.option.syslog=1;
+        if (getenv("STUNNEL_NO_SYSLOG")) new_global_options.option.syslog=0;
         break;
     case CMD_EXEC:
         if(strcasecmp(opt, "syslog"))
diff -Naur stunnel.orig/src/stunnel.c stunnel/src/stunnel.c
--- stunnel.orig/src/stunnel.c	2010-02-25 04:57:11.000000000 -0500
+++ stunnel/src/stunnel.c	2010-04-12 17:16:33.000000000 -0400
@@ -306,6 +306,7 @@
         max_clients=0;
         s_log(LOG_NOTICE, "No limit detected for the number of clients");
     }
+    if (getenv("STUNNEL_MAX_CLIENTS")) max_clients = atoi(getenv("STUNNEL_MAX_CLIENTS"));
 }
 
 #ifdef HAVE_CHROOT
